Package com.ocient.cli.extract

# Class ResultSetExtractor

java.lang.Object
com.ocient.cli.extract.ResultSetExtractor

Direct Known Subclasses:
  `WriteThroughResultSetExtractor`

    public abstract class ResultSetExtractor
    extends Object

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`protected ExtractConfiguration` | `extractConfig` |
`protected ArrayList<String>` | `headers` |
`protected RecordExtractorFactory` | `recordExtractorFactory` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`abstract void` | `extract​(ResultSet resultSet, ResultSetMetaData resultSetMetaData)` |
`protected Object[]` | `getRow​(ResultSet resultSet, int colCount)` |
`protected void` | `parseHeader​(ResultSetMetaData resultSetMetaData)` |
`protected RecordExtractorFactory.WriterHandle` | `startNewWriter​(int fileIndex)` |

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### recordExtractorFactory

protected final RecordExtractorFactory recordExtractorFactory

### extractConfig

protected final ExtractConfiguration extractConfig

### headers

protected final ArrayList<String> headers

## Method Details

### extract

public abstract void extract​(ResultSet resultSet, ResultSetMetaData resultSetMetaData) throws IllegalStateException, IOException, SQLException

Throws:
  `IllegalStateException`
  `IOException`
  `SQLException`

### startNewWriter

protected RecordExtractorFactory.WriterHandle startNewWriter​(int fileIndex) throws IOException

Throws:
  `IOException`

### getRow

protected Object[] getRow​(ResultSet resultSet, int colCount) throws SQLException

Throws:
  `SQLException`

### parseHeader

protected void parseHeader​(ResultSetMetaData resultSetMetaData) throws SQLException

Throws:
  `SQLException`